<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validaDocente.jsp" %>
<!DOCTYPE html>
<html lang="es">
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
        <meta charset="utf-8" />
        <title>:::SISTEMA DE HORARIOS:::</title>

        <meta name="description" content="overview &amp; stats" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />



        <link rel="stylesheet" href="../assets/css/bootstrap.css" />
        <link rel="stylesheet" href="../assets/css/font-awesome.css" />
        <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
        <link rel="stylesheet" href="../assets/css/ace-fonts.css" />
        <link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
        <script src="../assets/js/ace-extra.js"></script>



        <!-- inline scripts related to this page -->
        <script type="text/javascript" language="javascript">

            /*$(document).ready( function() {
             jQuery("#registroEncuesta").validationEngine();
             });*/
        </script>
    </head>

    <body class="no-skin" onLoad="cargar();">
        <!-- #section:basics/navbar.layout -->
        <div id="navbar" class="navbar navbar-default">
            <script type="text/javascript">
                try {
                    ace.settings.check('navbar', 'fixed')
                } catch (e) {
                }
            </script>

            <div class="navbar-container" id="navbar-container">
                <%@ include file="bannerDocente.jsp" %>
            </div><!-- /.navbar-container -->
        </div>

        <!-- /section:basics/navbar.layout -->
        <div class="main-container" id="main-container">
            <script type="text/javascript">
                try {
                    ace.settings.check('main-container', 'fixed')
                } catch (e) {
                }
            </script>

            <!-- #section:basics/sidebar -->
            <div id="sidebar" class="sidebar responsive">
                <script type="text/javascript">
                    try {
                        ace.settings.check('sidebar', 'fixed')
                    } catch (e) {
                    }
                </script>
                <input id="codModulo" type="hidden" value="<%=menu != null ? menu.getCodModulo() : ""%>">
                <input id="codCategoria" type="hidden" value="<%=menu != null ? menu.getCodCategoria() : ""%>">
                <%@ include file="menuDocente.jsp" %>
                <!-- #section:basics/sidebar.layout.minimize -->
                <div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
                    <i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
                </div>
                <!-- /section:basics/sidebar.layout.minimize -->
                <script type="text/javascript">
                    try {
                        ace.settings.check('sidebar', 'collapsed')
                    } catch (e) {
                    }
                </script>
            </div>

            <!-- /section:basics/sidebar -->
            <div class="main-content">
                <div class="main-content-inner">
                    <!-- #section:basics/content.breadcrumbs -->
                    <div class="breadcrumbs" id="breadcrumbs">
                        <script type="text/javascript">
                            try {
                                ace.settings.check('breadcrumbs', 'fixed')
                            } catch (e) {
                            }
                        </script>

                        <ul class="breadcrumb">
                            <li>
                                <i class="ace-icon fa fa-home home-icon"></i>
                                <a href="principalDocente.jsp">INICIO</a>
                            </li>
                            <li class="active">DATOS</li>
                        </ul><!-- /.breadcrumb -->
                    </div>

                    <!-- /section:basics/content.breadcrumbs -->
                    <div class="page-content">

                        <div class="page-header">
                            <h1>
                                Datos
                                <small>
                                    <i class="ace-icon fa fa-angle-double-right"></i>
                                    Registrar datos Obligatorios
                                </small>
                            </h1>
                        </div><!-- /.page-header -->

                        <div class="row">





                            <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
                            <div class="col-sm-12" style="width:100%;">

                                <div  class="col-sm-1"></div>
                                <div  class="col-sm-10">



                                    <div id="divListaDocente" style="display: none;">
                                        <div class="widget-box widget-color-dark">
                                            <div class="widget-header">
                                                <h4 class="widget-title">DOCENTE:  <%=usuarioDocente != null ? usuarioDocente.getApellidoDocente() : ""%>, <%=usuarioDocente != null ? usuarioDocente.getNombreDocente() : ""%> (DNI: <%=usuarioDocente != null ? usuarioDocente.getDni(): ""%>)</h4>
                                            </div>

                                            <div class="widget-body">

                                                <div class="widget-main no-padding">
                                                    <form id="registroDatosPersonales"  method="post">
                                                        <fieldset>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Teléfono Fijo <span style="font-style: italic ">(Opcional)</span></label>
                                                                <br>
                                                                <input class="form-control validate[custom[phone]]" onKeyPress="return soloNumeros(event)"  maxlength="7" id="txt_new" type="text" >
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Telefono Celular <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <input class="form-control validate[required,custom[phone]]" onKeyPress="return soloNumeros(event)"  maxlength="9" id="txt_new_cel" type="text" size="30">
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Correo <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <input class="form-control validate[required,custom[email]] idleField" id="txt_new_correo" type="text" size="30"> 
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Departamento <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <div id="divDepartamento">
                                                                    <select class="form-control validate[required]" id="cmbDepartamento" onchange="cargarProvincia();
                                                                            limpiar();">
                                                                        <option value="">[Seleccione]</option>
                                                                    </select>
                                                                </div>
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Provincia <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <div id="divProvincia">
                                                                    <select id="cmbProv" class="form-control validate[required]">
                                                                        <option value="">[Seleccione]</option>
                                                                    </select>   
                                                                </div>
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Distrito <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <div id="divDistrito">
                                                                    <select id="cmbDis" class="form-control validate[required]">
                                                                        <option value="">[Seleccione]</option>
                                                                    </select>   
                                                                </div>
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-6">
                                                                <label for="form-field-select-3">Num. Hijos <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <div id="divNumHijos">
                                                                    <input class="form-control validate[required] idleField" min="0" max="15" id="txt_numHijos" type="number" size="30">  
                                                                </div>
                                                                <br>
                                                            </div>
                                                            
                                                              <div  class="col-sm-3">
                                                                <label for="form-field-select-3">Area <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <div id="divArea">
                                                                    <select id="cmbArea" class="form-control validate[required]" onchange="cargarPlana();">
                                                                        <option value="">[Seleccione]</option>
                                                                    </select>   
                                                                </div>
                                                                <br>
                                                            </div>
                                                            
                                                              <div  class="col-sm-3">
                                                                <label for="form-field-select-3">Plana en donde asiste: <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <div id="divPlana">
                                                                    <select id="cmbPlana" class="form-control validate[required]">
                                                                        <option value="">[Seleccione]</option>
                                                                    </select>   
                                                                </div>
                                                                <br>
                                                            </div>
                                                            
                                                            
                                                            
                                                            <div  class="col-sm-12">
                                                                <label for="form-field-select-3">Dirección <span style="color: red;">(*)</span></label>
                                                                <br>
                                                                <input class="form-control validate[required] idleField" id="txt_direccion" type="text" size="30" onChange='conMayusculas(this);'> 
                                                                <br>
                                                            </div>
                                                            <div  class="col-sm-12 text-right">
                                                                <span style="color: red;">(*)</span>: <em>Campos Obligatorios</em>
                                                                <br>
                                                            </div>

                                                        </fieldset>
                                                    </form>
                                                    <div class="form-actions center">
                                                        <button  class="btn btn-sm btn-primary" type="button" onclick="validar_registro();">
                                                            <i class="ace-icon fa fa-save icon-on-right bigger-110"></i>
                                                            Registrar
                                                        </button>
                                                    </div>


                                                </div>
                                            </div> 
                                        </div>
                                    </div>


                                </div>
                                <div  class="col-sm-1"></div>

                            </div>
                         
                            <div class="col-sm-12" style="width:100%; height: 40px;"></div>

                            <div  class="col-sm-12" style="width:100%;">
                                <div  class="col-sm-12">
                                    <!-- -------------TABLA---INI------------ -->
                                    <form id="listaDatosPersonales" class="formular" method="post">
                                        <div id="divListaRegistro">
                                            <div id="divListadoArea"></div>
                                        </div>
                                    </form>
                                    <!-- -------------TABLA---FIN------------ -->
                                </div>
                            </div>
                            <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->


                            <div class="col-sm-12" style="width:100%; height: 40px;"></div>

                            <div class="col-sm-1"></div>
                            <div class="col-sm-10">


                                <div id="divAreaFormulario" style="display: none;">

                                </div>
                            </div>
                            <div class="col-sm-1"></div>




                            <div class="col-sm-12" style="width:100%; height: 20px;"></div>
                            <div  class="col-sm-12" style="width:100%;">
                                <div  class="col-sm-12">
                                    <!-- -------------TABLA---INI------------ -->
                                    <form name="disponibilidad" id="disponibilidad" method="post">
                                        <div  id='divListadoDoc'></div>
                                    </form>

                                    <!-- -------------TABLA---FIN------------ -->
                                </div>
                            </div>

                            <!-- ::::::::::-ALERTAS-::::::::::::::: -->


                            <div id="dialog-advertenciaD1" class="hide">
                                <br>
                                Debe Seleccionar al menos un día para asignar.  
                                <br><br>
                            </div>

                            <div id="dialog-conforD1" class="hide">
                                <br>
                                ¿Está seguro de asignarle la disponibilidad?.
                                <br><br>
                            </div>
                            
                            <div id="dialog-conforPeriodo" class="hide">
                                <br>
                                ¿en que periodo se registrara?.
                                <br><br>
                                <select class="form-control" id="cboPeriodoConfirm">
                                   
                                    <option value="23">VERANO 2020</option>
                                </select>
                            </div>
                            
                            <div id="dialog-verPeriodo" class="hide">
                                <br>
                                Seleccionar Periodo para registrar su disponibilidad.
                                <br><br>
                                <select class="form-control" id="cboPeriodoVer">
                                   
                                    <option value="23">VERANO 2020</option>
                                    <option value="24" selected>REGULAR 2020 I</option>
                                </select>
                            </div>

                            <div id="dialog-notiD1" class="hide">
                                <br>
                                La disponibilidad del Docente se registro con éxito.
                                <br><br>
                            </div>

                            <div id="dialog-notiD2" class="hide">
                                <br>
                                Se actualizó con éxito.
                                <br><br>
                            </div>

                            <div id="dialog-advertenciaD2" class="hide">
                                <br>
                                Ocurrio un error.  
                                <br><br>
                            </div>



                            <div id="dialog-noti1" class="hide">
                                <br>
                                Se registró con éxito.
                                <br><br>
                            </div>

                            <div id="dialog-noti2" class="hide">
                                <br>
                                Se modificó con éxito el registro. 
                                <br><br>
                            </div>

                            <div id="dialog-confor1" class="hide">
                                <br>
                                ¿Está seguro de agregar estos datos?
                                <br><br>
                            </div>

                            <div id="dialog-confor2" class="hide">
                                <br>
                                ¿Está seguro de modificar el registro?.
                                <br><br>
                            </div>

                            <div id="dialog-confor3" class="hide">
                                <br>
                                ¿Está seguro de seleccionar el área?
                                <br><br>
                            </div>
                            <div id="dialog-advertencia1" class="hide">
                                <br>
                                Ya existen datos.
                                <br><br>
                            </div>

                            <div id="dialog-advertencia2" class="hide">
                                <br>
                                Dese seleccionar un área.
                                <br><br>
                            </div>


                            <div id="dialog-armar" class="hide">
                                <br>
                                <form id="registrar" class="formular" method="post">
                                    <div id="divFormularioRegistro"></div>
                                </form>
                                <br><br>
                            </div>

                            <div id="dialog-armarEditar" class="hide">
                                <br>
                                <form id="actualizar" class="formular" method="post">
                                    <div id="divFormulario"></div>
                                </form>
                                <br><br>
                            </div>

                            <div id="dialog-cargando" class="hide">
                                <table cellpadding="0" cellspacing="0" width="100%">
                                    <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                                </table>
                            </div>
                            <input type='hidden' id='codigo1'>


                            <!-- ::::::::::-ALERTAS-::::::::::::::: -->


                        </div><!-- /.row -->
                    </div><!-- /.page-content -->
                </div>
            </div><!-- /.main-content -->

            <div class="footer">
                <%@ include file="footer.jsp" %>
            </div>

            <a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
                <i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
            </a>
        </div><!-- /.main-container -->

        <!-- basic scripts -->

        <!--[if !IE]> -->
        <script type="text/javascript">
            window.jQuery || document.write("<script src='../assets/js/jquery.js'>" + "<" + "/script>");
        </script>

        <!-- <![endif]-->

        <!--[if IE]>
<script type="text/javascript">
window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
        <script type="text/javascript">
            if ('ontouchstart' in document.documentElement)
                document.write("<script src='../assets/js/jquery.mobile.custom.js'>" + "<" + "/script>");
        </script>
        <script src="../assets/js/bootstrap.js"></script>

        <!-- page specific plugin scripts -->
        <script src="../assets/js/jquery-ui.js"></script>
        <script src="../assets/js/jquery.ui.touch-punch.js"></script>

        <!--[if lte IE 8]>
          <script src="../assets/js/excanvas.js"></script>
        <![endif]-->
        <script src="../assets/js/jquery-ui.custom.js"></script>
        <script src="../assets/js/jquery.ui.touch-punch.js"></script>
        <script src="../assets/js/jquery.easypiechart.js"></script>
        <script src="../assets/js/jquery.sparkline.js"></script>
        <!-- ace scripts -->
        <script src="../assets/js/ace/elements.scroller.js"></script>
        <script src="../assets/js/ace/elements.colorpicker.js"></script>
        <script src="../assets/js/ace/elements.fileinput.js"></script>
        <script src="../assets/js/ace/elements.typeahead.js"></script>
        <script src="../assets/js/ace/elements.wysiwyg.js"></script>
        <script src="../assets/js/ace/elements.spinner.js"></script>
        <script src="../assets/js/ace/elements.treeview.js"></script>
        <script src="../assets/js/ace/elements.wizard.js"></script>
        <script src="../assets/js/ace/elements.aside.js"></script>
        <script src="../assets/js/ace/ace.js"></script>
        <script src="../assets/js/ace/ace.ajax-content.js"></script>
        <script src="../assets/js/ace/ace.touch-drag.js"></script>
        <script src="../assets/js/ace/ace.sidebar.js"></script>
        <script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
        <script src="../assets/js/ace/ace.submenu-hover.js"></script>
        <script src="../assets/js/ace/ace.widget-box.js"></script>
        <script src="../assets/js/ace/ace.settings.js"></script>
        <script src="../assets/js/ace/ace.settings-rtl.js"></script>
        <script src="../assets/js/ace/ace.settings-skin.js"></script>
        <script src="../assets/js/ace/ace.widget-on-reload.js"></script>
        <script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
        <script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>


        <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
        <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->


        <!-- inline scripts related to this page -->
        <script type="text/javascript">

            jQuery(function ($) {
                //override dialog's title function to allow for HTML titles
                $.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
                    _title: function (title) {
                        var $title = this.options.title || '&nbsp;'
                        if (("title_html" in this.options) && this.options.title_html == true)
                            title.html($title);
                        else
                            title.text($title);
                    }
                }));



                $("#id-btn-dialog2").on('click', function (e) {//--
                    e.preventDefault();
                    $("#dialog-confirm").removeClass('hide').dialog({
                        resizable: false,
                        modal: true,
                        title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                        title_html: true,
                        buttons: [
                            {
                                html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                                "class": "btn btn-danger btn-xs",
                                click: function () {
                                    $(this).dialog("close");
                                }
                            } ,
                            {
                                html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                                "class": "btn btn-xs",
                                click: function () {
                                    $(this).dialog("close");
                                }
                            }
                        ]
                    });
                });
                /////////////////////////////////////
                $(document).one('ajaxloadstart.page', function (e) {
                    $tooltip.remove();
                });
            });

            //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

            $(document).ready(function () {
                //jQuery("#registroEncuesta").validationEngine();
                //jQuery("#registroAreaFormulario").validationEngine();
            });

            //-------------------------------

            function cargando() {
                $("#dialog-cargando").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
                    title_html: true
                });
            }

            function close_carga() {
                $("#dialog-cargando").dialog("close");
            }

            function conMayusculas(field) {
                field.value = field.value.toUpperCase()
            }

            function segundaCarga() {
//                listarDatos();
                consultarVerPeriodo()
//                validarSiExisteRegistroDeDatosDocente();
            }
            
            function consultarVerPeriodo(){
                    $("#dialog-verPeriodo").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
                              let codPeriodo= $("#cboPeriodoVer").val()
                              let nomPeriodo= $("#cboPeriodoVer option:selected").text()
                              
                              sessionStorage.setItem("codPeriodo",codPeriodo)
                              sessionStorage.setItem("nomPeriodoConfirm",nomPeriodo)
                              //ABRIR MODAL PARA ACTUALIZAR DATOS
                              
                              validarSiExisteRegistroDeDatosDocente();
                              $(this).dialog("close");
                              $("#dialog-conforD1").dialog("close");
                              
//                               
                            }
                        }, {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
                
                
            }

            function validarSiExisteRegistroDeDatosDocente() {
      
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                $.ajax({
                    type: 'POST',
                    url: '../ServletDocente?Accion=verificarExisteRegistroDatosDocente',
                    data: 'codDocente=' + codDocente,
                    beforeSend: function () {
                    }, 
                    success: function (resultado) {
                        console.log(resultado)
                        if (resultado == 1) {
                            listarDatos(codDocente);
                            //validar si sus datos personales esta completo , si no completa igual nos ayuda a poder validar despues si ha comppletado todos sus datos
                            armarEditarDatos(codDocente)
                        } else {
                            cargarDepartamento();
                            cargarArea();
                            $("#divListaDocente").fadeIn();
                        }
                    },
                    complete: function () {

                    }
                });
            }

            function listarDatos(codDocente) {
                var dni = "<%=usuarioDocente != null ? usuarioDocente.getDni() : ""%>";
                var apellidos = "<%=usuarioDocente != null ? usuarioDocente.getApellidoDocente () : ""%>";
                var nombre = "<%=usuarioDocente != null ? usuarioDocente.getNombreDocente() : ""%>";
                var nombres = apellidos + " " + nombre;
                var periodo = sessionStorage.getItem("codPeriodo")
            
                $.ajax({
                    type: 'POST',
                    url: '../ServletDocente?Accion=listarDatosDocente',
                    data: 'codDocente=' + codDocente + '&dni=' + dni + '&nombres=' + nombres+'&codPeriodo='+periodo,
                    beforeSend: function () {
                        cargando();
                    }, success: function (resultado) {
                        close_carga();
                        $('#divListadoArea').html(resultado);
                    }, complete: function () {
                        mostrarAreas()
                    }
                });
            }

            function mostrarAreas() {
                var estadoPeriodo = "<%=periodo != null ? periodo.getEstadoPeriodo() : ""%>";
                var codDoc = "<%=usuarioDocente.getCodigoDocente()%>";
                $.ajax({
                    type: 'POST',
                    url: '../ServletArea?Accion=consultarAreas',
                    data: 'codDoc=' + codDoc,
                    beforeSend: function () {
                        //cargando();
                    }, success: function (resultado) {
                        close_carga();
                        $("#divAreaFormulario").html(resultado);
                    }, complete: function () {
                        $("#divAreaFormulario").fadeIn();
                        var tipo = $("#idAreasDocente").val();
                        if (tipo == 1) {
                            if (estadoPeriodo == "0") {
                                $("#divListadoDoc").html("<div class=\"col-sm-12\"> <br><div class=\"alert alert-danger\"><strong>NOTA!</strong> El periodo para el registro de disponibilidad a finalizado. Comunicarse con el Sr.  Walter Chancafe del área de DIRAGE al número 949171554.<br></div></div>");
                            } else {
                                verDisponibilidad();
                            }

                        }
                    }
                });
            }

            function verDisponibilidad() {
                
                var codArea = $("#idAreasSelect").val();
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                //periodo != null ? periodo.getCodigoPeriodo()
                
                let periodo = sessionStorage.getItem("codPeriodo")
              
                $.ajax({
                    type: 'POST',
                    url: '../ServletDocente?Accion=armarEdicionDoc',
                    data: 'codDoc=' + codDocente + '&periodo=' + periodo + '&codArea=' + codArea,
                    success: function (resultado) {
                        $("#divListadoDoc").html(resultado);
                    }, complete: function () {
                    }
                });
            }

            function seleccionar_todo(turno) {
                var codArea = parseInt($("#idAreasSelect").val());
                var dato = $("#dato").val();
                var selec = $("#selec").val();
                var cadenaM = "";
                var cadenaT = "";
                var cadenaN = "";
                var arraySelec = selec.split("-");
                for (i = 0; i < arraySelec.length; i++) {
                    var ArrayTurnoD = arraySelec[i].split("#");

                    if (ArrayTurnoD[0] == 1) {
                        if (cadenaM == "") {
                            cadenaM = ArrayTurnoD[1];
                        } else {
                            cadenaM += "#" + ArrayTurnoD[1];
                        }
                    } else if (ArrayTurnoD[0] == 2) {
                        if (cadenaT == "") {
                            cadenaT = ArrayTurnoD[1];
                        } else {
                            cadenaT += "#" + ArrayTurnoD[1];
                        }
                    } else if (ArrayTurnoD[0] == 3) {
                        if (cadenaN == "") {
                            cadenaN = ArrayTurnoD[1];
                        } else {
                            cadenaN += "#" + ArrayTurnoD[1];
                        }
                    }


                }

                for (i = 0; i < document.disponibilidad.elements.length; i++) {
                    if (document.disponibilidad.elements[i].type == "checkbox") {

                        if (turno == "1") {
                            if (dato == "1") {
                                document.disponibilidad.elements[0].checked = 1
                                document.disponibilidad.elements[1].checked = 1
                                document.disponibilidad.elements[2].checked = 1
                                document.disponibilidad.elements[3].checked = 1
                                document.disponibilidad.elements[4].checked = 1
                                document.disponibilidad.elements[5].checked = 1
                                $("#dato").val("2");
                            } else {
                                document.disponibilidad.elements[0].checked = 0
                                document.disponibilidad.elements[1].checked = 0
                                document.disponibilidad.elements[2].checked = 0
                                document.disponibilidad.elements[3].checked = 0
                                document.disponibilidad.elements[4].checked = 0
                                document.disponibilidad.elements[5].checked = 0

                                if (cadenaM.indexOf("1") > -1) {
                                    document.disponibilidad.elements[0].checked = 1
                                }
                                if (cadenaM.indexOf("2") > -1) {
                                    document.disponibilidad.elements[1].checked = 1
                                }
                                if (cadenaM.indexOf("3") > -1) {
                                    document.disponibilidad.elements[2].checked = 1
                                }
                                if (cadenaM.indexOf("4") > -1) {
                                    document.disponibilidad.elements[3].checked = 1
                                }
                                if (cadenaM.indexOf("5") > -1) {
                                    document.disponibilidad.elements[4].checked = 1
                                }
                                if (cadenaM.indexOf("6") > -1) {
                                    document.disponibilidad.elements[5].checked = 1
                                }

                                $("#dato").val("1");
                            }
                        } else if (turno == "2") {
                            var validaArea = 0;
                            if (codArea == 1) {
                                validaArea = codArea + 9;
                            } else if (codArea == 2) {
                                validaArea = codArea + 5;
                            } else if (codArea == 3) {
                                validaArea = codArea + 5;
                            } else if (codArea == 4) {
                                validaArea = codArea + 5;
                            }

                            if (dato == "1") {

                                for (var j = 6; j < 12; j++) {
                                    if (validaArea != j) {
                                        document.disponibilidad.elements[j].checked = 1
                                    }

                                }
                                /*document.disponibilidad.elements[6].checked = 1 l
                                 document.disponibilidad.elements[7].checked = 1 m
                                 document.disponibilidad.elements[8].checked = 1 m
                                 document.disponibilidad.elements[9].checked = 1 j
                                 document.disponibilidad.elements[10].checked = 1 v
                                 document.disponibilidad.elements[11].checked = 1*/
                                $("#dato").val("2");
                            } else {
                                for (var j = 6; j < 12; j++) {
                                    if (validaArea != j) {
                                        document.disponibilidad.elements[j].checked = 0
                                    }

                                }
                                /*document.disponibilidad.elements[6].checked = 0
                                 document.disponibilidad.elements[7].checked = 0
                                 document.disponibilidad.elements[8].checked = 0
                                 document.disponibilidad.elements[9].checked = 0
                                 document.disponibilidad.elements[10].checked = 0
                                 document.disponibilidad.elements[11].checked = 0*/


                                if (cadenaT.indexOf("1") > -1) {
                                    document.disponibilidad.elements[6].checked = 1
                                }
                                if (cadenaT.indexOf("2") > -1) {
                                    document.disponibilidad.elements[7].checked = 1
                                }
                                if (cadenaT.indexOf("3") > -1) {
                                    document.disponibilidad.elements[8].checked = 1
                                }
                                if (cadenaT.indexOf("4") > -1) {
                                    document.disponibilidad.elements[9].checked = 1
                                }
                                if (cadenaT.indexOf("5") > -1) {
                                    document.disponibilidad.elements[10].checked = 1
                                }
                                if (cadenaT.indexOf("6") > -1) {
                                    document.disponibilidad.elements[11].checked = 1
                                }
                                $("#dato").val("1");
                            }
                        } else if (turno == "3") {
                            if (dato == "1") {
                                document.disponibilidad.elements[12].checked = 1
                                document.disponibilidad.elements[13].checked = 1
                                document.disponibilidad.elements[14].checked = 1
                                document.disponibilidad.elements[15].checked = 1
                                document.disponibilidad.elements[16].checked = 1
                                document.disponibilidad.elements[17].checked = 1
                                $("#dato").val("2");
                            } else {
                                document.disponibilidad.elements[12].checked = 0
                                document.disponibilidad.elements[13].checked = 0
                                document.disponibilidad.elements[14].checked = 0
                                document.disponibilidad.elements[15].checked = 0
                                document.disponibilidad.elements[16].checked = 0
                                document.disponibilidad.elements[17].checked = 0
                                if (cadenaN.indexOf("1") > -1) {
                                    document.disponibilidad.elements[12].checked = 1
                                }
                                if (cadenaN.indexOf("2") > -1) {
                                    document.disponibilidad.elements[13].checked = 1
                                }
                                if (cadenaN.indexOf("3") > -1) {
                                    document.disponibilidad.elements[14].checked = 1
                                }
                                if (cadenaN.indexOf("4") > -1) {
                                    document.disponibilidad.elements[15].checked = 1
                                }
                                if (cadenaN.indexOf("5") > -1) {
                                    document.disponibilidad.elements[16].checked = 1
                                }
                                if (cadenaN.indexOf("6") > -1) {
                                    document.disponibilidad.elements[17].checked = 1
                                }
                                $("#dato").val("1");
                            }
                        }
                    }
                }
            }

            function asignar() {
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                var cant = 18;
                var cadena = "";
                var cadena2 = "";
                for (i = 1; i <= cant; i++) {
                    var asignar = $("input[name='chk_" + i + "']:checked").val();
                    if (asignar != "" && asignar != undefined) {
                        if (cadena == "") {
                            cadena += asignar;
                        } else {
                            cadena += "-" + asignar;
                        }
                    }

                }

                if (cadena == "") {
                    popup_D1();
                } else {
                     let validarDatosPersonales = validar_datosPersonal()
                    if(validarDatosPersonales.length > 1){
                        console.log(validarDatosPersonales)
                        //MOSTRAR MODAL
//                        alert(validarDatosPersonales.toUpperCase())
                        let question = confirm(validarDatosPersonales.toUpperCase());
                        if(question){
                           armarEditarDatos(codDocente)
                        }

                        
                    }else{
                       popup_D0(codDocente, cadena);
                    }
                    
                    
                    
                   
                }

            }

            function popup_D1() {
                $("#dialog-advertenciaD1").removeClass('hide').dialog({
                    resizable: false,
                    width: 400,
                    modal: true,
                    title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-warning btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function popup_D0(codDoc, cadena) {
                $("#dialog-conforD1").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
                                    registrar(codDoc, cadena);
                            }
                        },
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }
            
            function validar_datosPersonal(){
                let info= ""
                let txtCantHijos=$("#txt_cant_hijos").val()
                let txtCelular=$("#txt_new_celular").val()
                let txtCorreo=$("#txt_new_mail").val()
                let cboDepartamento=$("#cmbDepartamentoEdit").val()
                let cboProvincia=$("#cmbprovinciaEdit").val()
                let cboArea=$("#cmbAreaEditar").val()
                let cboPlana=$("#cmbPlanaAsisteEdit").val()
                let cmbDistritoEdit=$("#cmbDistritoEdit").val()
                let txt_new_dir=$("#txt_new_dir").val()
               
                if(txtCantHijos == ''){
                    info += "Por favor Completar Cantidad de Hijos"
                }else if(txtCelular == ""){
                    info += "Por favor Completar Numero Celular"
                }else if(txtCorreo == ""){
                     info += "Por favor Completar correo electronico"
                }else if(cboDepartamento == ""){
                     info += "Por favor Completar Departamento"
                }else if(cboProvincia == ""){
                    info += "Por favor Completar Provincia"
                }else if(cboArea == ""){
                    info += "Por favor Completar Area"
                }else if(cboPlana == ""){
                    info += "Por favor Completar Plana"
                }else if(txt_new_dir == ""){
                     info += "Por favor Completar Direccion"
                }else if(cmbDistritoEdit == ""){
                    info += "Por favor Completar Distrito"
                }
                return info;   
            }
            
            
            function consultarPeriodoRegistrar(codDoc,cadena){
                  $("#dialog-conforPeriodo").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
//                                consultarPeriodoRegistrar()
                              let codPeriodo= $("#cboPeriodoConfirm").val()
                              let nomPeriodo= $("#cboPeriodoConfirm option:selected").text()
                              
                              sessionStorage.setItem("codPeriodo",codPeriodo)
                              sessionStorage.setItem("nomPeriodoConfirm",nomPeriodo)
                              
                              registrar(codDoc, cadena);
//                               registrar(codDoc, cadena,);
                              $(this).dialog("close");
                              $("#dialog-conforD1").dialog("close");
                              
//                               
                            }
                        }, {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function registrar(codDoc, cadena) {
              let codPeriodo = sessionStorage.getItem("codPeriodo")
               
                $.ajax({
                    type: 'POST',
                    url: '../ServletDocente?Accion=RegistrarDisp',
                    data: 'codDoc=' + codDoc + '&DiaDis=' + cadena + '&periodo=' + codPeriodo,
                    success: function (resultado) {
                        $("#formulario_cargando").dialog("close");
                        if (resultado == 1) {
                            popup_D2();
                            
                        } else if (resultado == 2) {
                            popup_D3();
                        } else {
                            popup_D4();
                        }
                    }, complete: function () {
                        //$("#formulario5").dialog( "close" );
                        enviarCorreo(codDoc);
                        verDisponibilidad();
                    }
                });
            }
            
            function popup_D2() {
                $("#dialog-conforD1").dialog("close");
                $("#dialog-notiD1").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-success btn-xs",
                            click: function () {
                                window.location = "principalDocente.jsp";
                                //$(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function popup_D3() {
                $("#dialog-conforD1").dialog("close");
                $("#dialog-notiD2").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-success btn-xs",
                            click: function () {
                                window.location = "principalDocente.jsp";
                                //$(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function popup_D4() {
                $("#dialog-conforD1").dialog("close");
                $("#dialog-advertenciaD2").removeClass('hide').dialog({
                    resizable: false,
                    width: 400,
                    modal: true,
                    title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-warning btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }


            function validar_seleccion() {
                var cmbAreaSelect = $("#cmbAreaSelect").val();
                var estado = jQuery('#registroAreaFormulario').validationEngine('validate');
                if (estado) {
                    if (cmbAreaSelect < 1) {
                        popup_alerta_seleccion();
                    } else {
                        popup_seleccion();
                    }
                }
            }

            function popup_alerta_seleccion() {
                $("#dialog-advertencia2").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-warning btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function popup_seleccion() {
                $("#dialog-confor3").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
                                registrarArea();
                                $(this).dialog("close");
                            }
                        }, {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function registrarArea() {
                var cmbAreaSelect = $("#cmbAreaSelect").val();
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                $.ajax({
                    type: 'POST',
                    url: '../ServletArea?Accion=registraAreaDocente',
                    data: 'cmbAreaSelect=' + cmbAreaSelect + '&codDocente=' + codDocente,
                    beforeSend: function () {
                        cargando();
                    }, success: function (resultado) {
                        close_carga();

                    }, complete: function () {
                        mostrarAreas();
                    }
                });
            }

            function validar_registro() {
                var estado = $('#registroDatosPersonales').validationEngine('validate');
                if (estado) {
                    popup_registro();
                }
            }

            function validar_actualizar(codDocente) {
                
                var estado = jQuery('#actualizar').validationEngine('validate');
                if (estado) {
                    popup_actualizar(codDocente);
                    // $("#formulario5").dialog( "close" );
                }
            }

            function actualizar(codDocente) {
                //var zona=$("#txt_zona").val();
                var telefono = $("#txt_new_tel").val();
                var cel = $("#txt_new_celular").val();
                var dir = $("#txt_new_dir").val();
                var mail = $("#txt_new_mail").val();
                var codDepartamento = $("#cmbDepartamentoEdit").val();
                var codProvincia = $("#cmbprovinciaEdit").val();
                var codDistrito = $("#cmbDistritoEdit").val();
                var cantHijos = $("#txt_cant_hijos").val();
                var periodo = sessionStorage.getItem("codPeriodo")
                var area = $("#cmbAreaEditar").val()
                var plana = $("#cmbPlanaAsisteEdit").val()
                
                $.ajax({
                    
                    type: 'POST',
                    url: '../ServletDocente?Accion=registraDatosDocenteEdit',
                    data: 'codDocente=' + codDocente + '&telefono=' + telefono + '&codDepartamento=' + codDepartamento + '&mail=' + mail + '&codProvincia=' + codProvincia + '&codDistrito=' + codDistrito + '&cel=' + cel + '&dir=' + dir+'&cantHijos='+cantHijos+'&periodo='+periodo+'&codArea='+area+'&codPlana='+plana,
                    beforeSend: function () {
                        cargando();
                    }, success: function (resultado) {
                        close_carga();

                    }, complete: function () {
                        listarDatos(codDocente);
                    }
                });
              
            }

            function registrarDatos() {
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                
                 //=periodo != null ? periodo.getCodigoPeriodo() : ""%>";
                let periodo = sessionStorage.getItem("codPeriodo")
                
                // 1: se registro normal   2: ya exista   3: error
                var telefono = $("#txt_new").val();
                var mail = $("#txt_new_correo").val();
                var cel = $("#txt_new_cel").val();
                var direccion = $("#txt_direccion").val();
                var codDepartamento = $("#cmbDepartamento").val();
                var codProvincia = $("#cmbprovincia").val();
                var codDistrito = $("#cmbDistrito").val();
                
                var numHijos = $("#txt_numHijos").val();
                var codArea = $("#cmbArea").val();
                var codPlana = $("#cmbPlana").val();
                
                
                $.ajax({
                    type: 'POST',
                    url: '../ServletDocente?Accion=registraDatosDocente',
                    data: 'codDocente=' + codDocente + '&telefono=' + telefono + '&mail=' + mail + '&codDepartamento=' + codDepartamento + '&codProvincia=' + codProvincia + '&codDistrito=' + codDistrito + '&cel=' + cel + '&direccion=' + direccion+'&numHijos='+numHijos+'&codArea='+codArea+'&codPlana='+codPlana+'&codPeriodo='+periodo,
                    beforeSend: function () {
                        cargando();
                    }, success: function (resultado) {
                        close_carga();
                        if (resultado == 0) {
                            popup_0();
                        } else if (resultado == 1) {
                            popup_1();
                        }
                    }, complete: function () {
                        $("#txt_new").val("");
                        $("#txt_new_correo").val("");
                        $("#divListaDocente").fadeOut();
                        $("#divListaRegistro").fadeIn();
                    }
                });
            }


            function popup_registro() {
                $("#dialog-confor1").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
                                registrarDatos();
                                $(this).dialog("close");
                            }
                        }, 
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }
            function popup_actualizar(codDocente) {
                $("#dialog-confor2").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
                                actualizar(codDocente);
                                popup_OK();
                            }
                        }, 
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function popup_OK() {
                $("#dialog-armarEditar").dialog("close");
                $("#dialog-confor2").dialog("close");
                $("#dialog-noti2").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-success btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function editar(codDocente) {
                $("#dialog-armarEditar").removeClass('hide').dialog({
                    resizable: false,
                    width: 600,
                    modal: true,
                    title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACTUALIZAR",
                            "class": "btn btn-primary btn-xs",
                            click: function () {
                                validar_actualizar(codDocente);
                            }
                        }, {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                            "class": "btn btn-danger btn-xs",
                            click: function () {
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function armarEditarDatos(codDocente) {
                $.ajax({
                    type: 'POST',
                    url: '../ServletDocente?Accion=armarEditarDatos',
                    data: 'codDocente=' + codDocente,
                    success: function (resultado) {
                        $("#divFormulario").html(resultado);
                    }, complete: function () {
                        cargarDepartamentoEdit(codDocente);
                        cargarAreaEdit();
                       //cargarPlanaAsisteEdit(codDocente);
                    }
                });
            }



            function cargarDepartamentoEdit(codDocente) {
                var nombre = "cmbDepartamentoEdit";
                var accion = "cargarProvincia2();limpiar2();";

                $.ajax({
                    type: 'POST',
                    url: '../ServletUbigeoDocente?Accion=cargarDepartamento',
                    data: 'nombre=' + nombre + '&accion=' + accion + '&codDocente=' + codDocente,
                    success: function (resultado) {
                        $('#divDepartamentoEdit').html(resultado);
                    }, complete: function () {
                        cargarProvinciaEdit(codDocente);
                    }
                });
            }
            
            function cargarPlanaAsisteEdit(codDocente) {
                var nombre = "cmbPlanaAsisteEdit";
                //var accion = "limpiar2();";
                var periodo = sessionStorage.getItem("codPeriodo")
                var codArea = $("#cmbAreaEditar").val()
                //%=periodo != null ? periodo.getCodigoPeriodo() : ""%>";
                $.ajax({
                    type: 'POST',
                    url: '../ServletPlana?Accion=listarPlanaAsiste',
                    data: 'nombre=' + nombre +'&codDocente=' + codDocente+'&codper='+periodo+'&codArea='+codArea,
                    success: function (resultado) {
               
                        $('#divPlanaAsisteEdit').html(resultado);
                    }
                });
            }

            function cargarProvinciaEdit(codDocente) {

                var nombre = "cmbprovinciaEdit";
                var accion = "cargarDistrito2();";
                var codDepartamento = $("#cmbDepartamentoEdit").val();
                if (codDepartamento == "") {
                    $("#cmbprovinciaEdit").html("<select id='cmbprovinciaEdit' class='form-control validate[required]'><option value=\"\">[Seleccione]</option></select>");
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletUbigeoDocente?Accion=cargarProvincia',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codDepartamento=' + codDepartamento + '&codDocente=' + codDocente,
                        success: function (resultado) {
                            $('#divProvinciaEdit').html(resultado);
                        }, complete: function () {
                            cargarDistritoEdit(codDocente);

                        }
                    });
                }
            }

            function cargarDistritoEdit(codDocente) {
                var nombre = "cmbDistritoEdit";
                var accion = "";
                var codDepartamento = $("#cmbDepartamentoEdit").val();
                var codProvincia = $("#cmbprovinciaEdit").val();

                $.ajax({
                    type: 'POST',
                    url: '../ServletUbigeoDocente?Accion=cargarDistrito',
                    data: 'nombre=' + nombre + '&accion=' + accion + '&codDepartamento=' + codDepartamento + '&codProvincia=' + codProvincia + '&codDocente=' + codDocente,
                    success: function (resultado) {
                        $('#divDistritoEdit').html(resultado);
                    }, complete: function () {
                        editar(codDocente);
                    }
                });
            }

            //----------------------------------------------------------
            function cargarDepartamento() {

                var nombre = "cmbDepartamento";
                var accion = "cargarProvincia();limpiar();";

                $.ajax({
                    type: 'POST',
                    url: '../ServletUbigeoDocente?Accion=cargarDepartamento1',
                    data: 'nombre=' + nombre + '&accion=' + accion,
                    success: function (resultado) {
                        $('#divDepartamento').html(resultado);
                    }, complete: function () {
                        cargarProvincia();

                    }
                });
            }
            
            function cargarArea() {

                var nombre = "cmbArea";
                var accion = "cargarPlana();";

                $.ajax({
                    type: 'POST',
                    url: '../ServletArea?Accion=cargarArea',
                    data: 'nombre=' + nombre + '&accion=' + accion,
                    success: function (resultado) {
                        $('#divArea').html(resultado);
                        $('#divAreaEdit').html(resultado);
                    }, complete: function () {
                        cargarPlana();

                    }
                });
            }
            function cargarAreaEdit() {
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                var nombre = "cmbAreaEditar";
                 var accion = "cargarPlanaEditar();";

                $.ajax({
                    type: 'POST',
                    url: '../ServletArea?Accion=cargarAreaEditar',
                    data: 'nombre=' + nombre + '&accion=' + accion+'&codDocente='+codDocente,
                    success: function (resultado) {
                      
                        $('#divAreaEdit').html(resultado);
                    }, complete: function () {
                          cargarPlanaAsisteEdit(codDocente);
                    }
                });
            }

            function cargarProvincia() {

                var nombre = "cmbprovincia";
                var accion = "cargarDistrito();";
                var codDepartamento = $("#cmbDepartamento").val();
                if (codDepartamento == "") {
                    $("#cmbprovincia").html("<select id='cmbprovincia' class='form-control validate[required]'><option value=''>[Seleccione]</option></select>");
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletUbigeoDocente?Accion=cargarProvincia1',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codDepartamento=' + codDepartamento,
                        success: function (resultado) {
                            $('#divProvincia').html(resultado);
                        }, complete: function () {
                            cargarDistrito();

                        }
                    });
                }

            }
            
            function cargarPlana() {

                var nombre = "cmbPlana";
                var accion = "";
                var codArea = $("#cmbArea").val();
                if (codArea == "") {
                    $("#cmbPlana").html("<select id='cmbPlana' class='form-control validate[required]'><option value=''>[Seleccione]</option></select>");
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletPlana?Accion=cargarPlana',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codArea=' + codArea,
                        success: function (resultado) {
                            $('#divPlana').html(resultado);

                        }, complete: function () {
//                            cargarDistrito();

                        }
                    });
                }

            }
            function cargarPlanaEditar() {

                var nombre = "cmbPlanaEdit";
                var accion = "";
                var codArea = $("#cmbAreaEditar").val();
                if (codArea == "") {
                    $("#cmbPlanaEdit").html("<select id='cmbPlana' class='form-control validate[required]'><option value=''>[Seleccione]</option></select>");
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletPlana?Accion=cargarPlanaEditar',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codArea=' + codArea,
                        success: function (resultado) {
                            $('#divPlanaAsisteEdit').html(resultado);
                        }, complete: function () {
//                            cargarDistrito();
                        }
                    });
                }
                
            }
            
            function cargarProvincia2() {
                var nombre = "cmbprovinciaEdit";
                var accion = "cargarDistrito2();";
                var codDepartamento = $("#cmbDepartamentoEdit").val();
                if (codDepartamento == "") {
                    $("#cmbprovinciaEdit").html("<select id='cmbprovinciaEdit' class='form-control validate[required]'><option value=''>[Seleccione]</option></select>");
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletUbigeoDocente?Accion=cargarProvincia1',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codDepartamento=' + codDepartamento,
                        success: function (resultado) {
                            $('#divProvinciaEdit').html(resultado);
                        }, complete: function () {
                        }
                    });
                    
                }
            }


            function cargarDistrito() {
                var nombre = "cmbDistrito";
                var accion = "";
                var codDepartamento = $("#cmbDepartamento").val();
                var codProvincia = $("#cmbprovincia").val();
                if (codProvincia == "") {
                    limpiar();
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletUbigeoDocente?Accion=cargarDistrito1',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codDepartamento=' + codDepartamento + '&codProvincia=' + codProvincia,
                        success: function (resultado) {
                            $('#divDistrito').html(resultado);
                        }, complete: function () {

                        }
                    });
                }

            }

            function limpiar() {
                $('#cmbDistrito').html("<select id='cmbDistrito' class='form-control validate[required]'><option value=''>[Seleccione]</option></select>");
//                             $('#cmbDistrito').val("");
            }


            function limpiar2() {
                $('#cmbDistritoEdit').html("<select id='cmbDistritoEdit' class='form-control validate[required]'><option value=''>[Seleccione]</option></select>");
                ;
//                             $('#cmbDistritoEdit').val("");
            }

            function cargarDistrito2() {
                var nombre = "cmbDistritoEdit";
                var accion = "";

                var codDepartamento = $("#cmbDepartamentoEdit").val();
                var codProvincia = $("#cmbprovinciaEdit").val();
                if (codProvincia == "") {
                    limpiar2();
                } else {
                    $.ajax({
                        type: 'POST',
                        url: '../ServletUbigeoDocente?Accion=cargarDistrito1',
                        data: 'nombre=' + nombre + '&accion=' + accion + '&codDepartamento=' + codDepartamento + '&codProvincia=' + codProvincia,
                        success: function (resultado) {
                            $('#divDistritoEdit').html(resultado);
                        }, complete: function () {

                        }
                    });
                }

            }

            function popup_0() {
                $("#dialog-advertencia1").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-warning btn-xs",
                            click: function () {
                                $(this).dialog("close");
                                validarSiExisteRegistroDeDatosDocente()
                            }
                        }
                    ]
                });
            }

            function popup_1() {
                var codDocente = "<%=usuarioDocente != null ? usuarioDocente.getCodigoDocente() : ""%>";
                $("#dialog-noti1").removeClass('hide').dialog({
                    resizable: false,
                    modal: true,
                    title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                    title_html: true,
                    buttons: [
                        {
                            html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; OK",
                            "class": "btn btn-success btn-xs",
                            click: function () {
                                
                                listarDatos(codDocente);
                                $(this).dialog("close");
                            }
                        }
                    ]
                });
            }

            function popup_2() {
                $("#formulario4").dialog({
                    width: 350,
                    modal: true,
                    resizable: false,
                    draggable: false,
                    buttons: {
                        "Aceptar": function () {
                            $("#formulario4").dialog("close");
                        }
                    }
                });
            }

            function enviarCorreo(codigoDocente) {
                
                var codArea = $("#idAreasSelect").val();
                var correo = $("#correo").val();
                //=periodo!=null?periodo.getNombrePeriodo():""%>"; 
               //=periodo!=null?periodo.getCodigoPeriodo():""%>"; 
               let codPeriodo = sessionStorage.getItem("codPeriodo")
               let nombrePeriodo = sessionStorage.getItem("nomPeriodoConfirm")
                
                $.ajax({
                    type: 'POST',
                    url: '../ServletMail?Accion=enviarEmail',
                    data: 'codDoc='+codigoDocente+'&correo='+correo+'&nombrePeriodo='+nombrePeriodo+'&codigoPeriodo='+codPeriodo+'&codArea='+codArea,
                    success: function (resultado) {
                      console.log("imprimiendooo correo -->"+resultado)
                    }, complete: function () {

                    }
                });
            }

            function soloNumeros(e) {
                var key = window.Event ? e.which : e.keyCode
                return (key >= 48 && key <= 57)
            }

        </script>


        <!-- the following scripts are used in demo only for onpage help and you don't need them -->

        <link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
        <link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />

        <script type="text/javascript"> ace.vars['base'] = '..';</script>
        <script src="../assets/js/ace/elements.onpage-help.js"></script>
        <script src="../assets/js/ace/ace.onpage-help.js"></script>
        <script src="../docs/assets/js/rainbow.js"></script>
        <script src="../docs/assets/js/language/generic.js"></script>
        <script src="../docs/assets/js/language/html.js"></script>
        <script src="../docs/assets/js/language/css.js"></script>
        <script src="../docs/assets/js/language/javascript.js"></script>



        <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
        <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>

        <!--<script src="style/jquery.kolorpicker.js" type="text/javascript"></script>
        <link rel="stylesheet" href="style/kolorpicker.css" type="text/css" media="screen, tv, projection, print" />
        -->

        <script type="text/javascript" language="javascript" src="js/colorPicker.js"></script>
        <link rel="stylesheet" href="css/colorPicker.css" type="text/css"></link>

</html>
